Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.property.basic
Class StringValueFactory

    java.lang.Object
      org.modeshape.graph.property.basic.AbstractValueFactory<String>
          org.modeshape.graph.property.basic.StringValueFactory

All Implemented Interfaces:
  ValueFactory<String>

    @Immutable
    public class StringValueFactory

extends AbstractValueFactory<String>

The standard `ValueFactory` for `PropertyType.STRING` values.

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.graph.property.basic.AbstractValueFactory
`AbstractValueFactory.ConvertingIterator<ValueType>`

Field Summary

Fields inherited from interface org.modeshape.graph.property.ValueFactory
`DEFAULT_DECODER, DEFAULT_ENCODER`

Constructor Summary
`StringValueFactory(NamespaceRegistry namespaceRegistry, TextDecoder decoder, TextEncoder encoder)`
`StringValueFactory(TextDecoder decoder, TextEncoder encoder)`

Method Summary
`String` | `create(BigDecimal value)` Create a value from a decimal.
`String` | `create(Binary value)` Create a value from the binary content given by the supplied stream.
`String` | `create(boolean value)` Create a boolean from a string.
`String` | `create(byte[] value)` Create a value from the binary content given by the supplied array.
`String` | `create(Calendar value)` Create a value from a Calendar instance.
`String` | `create(Date value)` Create a value from a date.
`String` | `create(DateTime value)` Create a value from a date-time instant.
`String` | `create(double value)` Create a value from a double.
`String` | `create(float value)` Create a value from a float.
`String` | `create(InputStream stream, long approximateLength)` Create a value from the binary content given by the supplied stream.
`String` | `create(int value)` Create a value from an integer.
`String` | `create(long value)` Create a long from a string.
`String` | `create(Name value)` Create a value from a name.
`String` | `create(Path.Segment value)` Create a value from a path segment.
`String` | `create(Path value)` Create a value from a path.
`String` | `create(Reader reader, long approximateLength)` Create a value from a the binary content given by the supplied reader.
`String` | `create(Reference value)` Create a value from a reference.
`String` | `create(String value)` Create a value from a string, using no decoding.
`String` | `create(String value, TextDecoder decoder)` Create a value from a string, using the supplied decoder.
`String` | `create(URI value)` Create a value from a URI.
`String` | `create(UUID value)` Create a value from a UUID.
`protected String[]` | `createEmptyArray(int length)`
`TextEncoder` | `getEncoder()`
`protected ValueFactory<String>` | `getStringValueFactory()`

Methods inherited from class org.modeshape.graph.property.basic.AbstractValueFactory
`create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, getDecoder, getDecoder, getPropertyType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringValueFactory

    public StringValueFactory(TextDecoder decoder,
                              TextEncoder encoder)

### StringValueFactory

    public StringValueFactory(NamespaceRegistry namespaceRegistry,
                              TextDecoder decoder,
                              TextEncoder encoder)

Method Detail

### getEncoder

    public TextEncoder getEncoder()

  Returns:
    encoder

### getStringValueFactory

    protected ValueFactory<String> getStringValueFactory()

  Overrides:
    `getStringValueFactory` in class `AbstractValueFactory<String>`
  Returns:
    stringValueFactory

### create

    public String create(String value)

  Create a value from a string, using no decoding.

  Parameters:
    `value` - the string from which the value is to be created
  Returns:
    the value, or null if the supplied string is null
  See Also:
    `ValueFactory.create(String, TextDecoder)`

### create

    public String create(String value,
                         TextDecoder decoder)

  Create a value from a string, using the supplied decoder.

  Parameters:
    `value` - the string from which the value is to be created
    `decoder` - the decoder that should be used; if null, the `default decoder` is used
  Returns:
    the value, or null if the supplied string is null
  See Also:
    `ValueFactory.create(String)`

### create

    public String create(int value)

  Create a value from an integer.

  Parameters:
    `value` - the integer from which the value is to be created
  Returns:
    the value; never null

### create

    public String create(long value)

  Create a long from a string.

  Parameters:
    `value` - the string from which the long is to be created
  Returns:
    the value; never null

### create

    public String create(boolean value)

  Create a boolean from a string.

  Parameters:
    `value` - the boolean from which the value is to be created
  Returns:
    the value; never null

### create

    public String create(float value)

  Create a value from a float.

  Parameters:
    `value` - the float from which the value is to be created
  Returns:
    the value; never null

### create

    public String create(double value)

  Create a value from a double.

  Parameters:
    `value` - the double from which the value is to be created
  Returns:
    the value; never null

### create

    public String create(BigDecimal value)

  Create a value from a decimal.

  Parameters:
    `value` - the decimal from which the value is to be created
  Returns:
    the value, or null if the supplied decimal is null

### create

    public String create(Calendar value)

  Create a value from a Calendar instance.

  Parameters:
    `value` - the Calendar instance from which the value is to be created
  Returns:
    the value, or null if the supplied Calendar is null

### create

    public String create(Date value)

  Create a value from a date.

  Parameters:
    `value` - the date from which the value is to be created
  Returns:
    the value, or null if the supplied date is null

### create

    public String create(DateTime value)
                  throws ValueFormatException

  Create a value from a date-time instant.

  Parameters:
    `value` - the date-time instant from which the value is to be created
  Returns:
    the value, or null if the supplied date is null
  Throws:
    `ValueFormatException` - if the conversion from a Date could not be performed
  See Also:
    `ValueFactory.create(org.modeshape.graph.property.DateTime)`

### create

    public String create(Name value)

  Create a value from a name.

  Parameters:
    `value` - the name from which the value is to be created
  Returns:
    the value, or null if the supplied name is null

### create

    public String create(Path value)

  Create a value from a path.

  Parameters:
    `value` - the path from which the value is to be created
  Returns:
    the value, or null if the supplied path is null

### create

    public String create(Path.Segment value)

  Create a value from a path segment.

  Parameters:
    `value` - the path segment from which the value is to be created
  Returns:
    the value, or null if the supplied path segment is null

### create

    public String create(Reference value)

  Create a value from a reference.

  Parameters:
    `value` - the reference from which the value is to be created
  Returns:
    the value, or null if the supplied reference is null

### create

    public String create(URI value)

  Create a value from a URI.

  Parameters:
    `value` - the URI from which the value is to be created
  Returns:
    the value, or null if the supplied URI is null

### create

    public String create(UUID value)
                  throws IoException

  Create a value from a UUID.

  Parameters:
    `value` - the UUID from which the value is to be created
  Returns:
    the value, or null if the supplied URI is null
  Throws:
    `IoException`
  See Also:
    `ValueFactory.create(java.util.UUID)`

### create

    public String create(byte[] value)

  Create a value from the binary content given by the supplied array.

  Parameters:
    `value` - the content to be used to create the value
  Returns:
    the value, or null if the supplied stream is null

### create

    public String create(Binary value)
                  throws ValueFormatException,
                         IoException

  Create a value from the binary content given by the supplied stream.

  Parameters:
    `value` - the binary object to be used to create the value
  Returns:
    the value, or null if the supplied stream is null
  Throws:
    `ValueFormatException` - if the conversion from the binary object could not be performed
    `IoException` - If an unexpected problem occurs while accessing the supplied binary value (such as an `IOException`).
  See Also:
    `ValueFactory.create(org.modeshape.graph.property.Binary)`

### create

    public String create(InputStream stream,
                         long approximateLength)
                  throws IoException

  Create a value from the binary content given by the supplied stream.

  Parameters:
    `stream` - the stream containing the content to be used to create the value
    `approximateLength` - the approximate length of the content (in bytes)
  Returns:
    the value, or null if the supplied stream is null
  Throws:
    `IoException` - If an unexpected problem occurs while accessing the supplied stream (such as an `IOException`).

### create

    public String create(Reader reader,
                         long approximateLength)
                  throws IoException

  Create a value from a the binary content given by the supplied reader.

  Parameters:
    `reader` - the reader containing the content to be used to create the value
    `approximateLength` - the approximate length of the content (in bytes)
  Returns:
    the value, or null if the supplied string is null
  Throws:
    `IoException` - If an unexpected problem occurs while accessing the supplied reader (such as an `IOException`).

### createEmptyArray

    protected String[] createEmptyArray(int length)

  Specified by:
    `createEmptyArray` in class `AbstractValueFactory<String>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.